## org.gnu.gdk
Class ByteOrder

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gdk.ByteOrder

public class ByteOrder
extends org.gnu.glib.Enum

Field Summary
`static ByteOrder` `LSB_FIRST`
`static ByteOrder` `MSB_FIRST`

Method Summary
`ByteOrder` `and(ByteOrder other)`
`static ByteOrder` `intern(int value)`
`ByteOrder` `or(ByteOrder other)`
`boolean` `test(ByteOrder other)`
`ByteOrder` `xor(ByteOrder other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LSB_FIRST

    public static final ByteOrder LSB_FIRST

### MSB_FIRST

    public static final ByteOrder MSB_FIRST

Method Detail

### intern

    public static ByteOrder intern(int value)

### or

    public ByteOrder or(ByteOrder other)

### and

    public ByteOrder and(ByteOrder other)

### xor

    public ByteOrder xor(ByteOrder other)

### test

    public boolean test(ByteOrder other)